Subject: bug#32002: 24.4; Scroll bar start, end not correct

From: Stephen Berman <[email-masked]>
Date: Wed, 04 Jul 2018 11:30:56 +0200

On Wed, 4 Jul 2018 00:49:22 -0700 Andrew Kurn <[email-masked]> wrote:

> Eli wrote:
>
>> I think we support both those who share this opinion and
>> those who don't.  It sounds like you want to set
>> scroll-bar-adjust-thumb-portion to nil.
>
> Yes!!  This is the answer I've been looking for, how to
> disable the feature.
>
> Many thanks.
>
> . . . and have you got any idea why the author used 'thumb'
> in the name?  

https://en.wikipedia.org/wiki/Scroll_bar:

  Although scrollbar designs differ throughout their history, they usually
  appear on one or two sides of the viewing area as long rectangular areas
  containing a bar (or thumb) that can be dragged along a trough (or
  track) to move the body of the document. [...] The “thumb” has different
  names in different environments: on the Mac OS X 10.4 it is called a
  "scroller";[3] on the Java platform it is called "thumb" or "knob";
  Microsoft's .NET documentation refers to it as "scroll box" or "scroll
  thumb"; in other environments it is called "elevator", "quint", "puck",
  "wiper" or "grip".

>               I suppose who the author is is lost in the
> mists of time.

Not with the Emacs VC fog lamp!

commit ec782c5f13fbcebe3b02106357c7daa0681a2b08
Author: Jan Djärv <[email-masked]>
Date:   Fri Jan 11 05:57:45 2013 +0100

    Introduce scroll-bar-adjust-thumb-portion.
    
    * xterm.c (scroll-bar-adjust-thumb-portion): New variable to
    determine whether scroll bar thumb size should be adjusted or
    not. Use variable for MOTIF.
    
    * gtkutil.c (scroll-bar-adjust-thumb-portion): Use variable for
    GTK.

Steve Berman